Package org.apache.lucene.index

## Interface IndexWriterEventListener

-     public interface IndexWriterEventListener

  A callback event listener for recording key events happened inside IndexWriter
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IndexWriterEventListener` | `NO_OP_LISTENER` | A no-op listener that helps to save null checks

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beginMergeOnFullFlush​(MergePolicy.MergeSpecification merge)` | Invoked at the start of merge on commit
    `void` | `endMergeOnFullFlush​(MergePolicy.MergeSpecification merge)` | Invoked at the end of merge on commit, due to either merge completed, or merge timed out according to `IndexWriterConfig.setMaxFullFlushMergeWaitMillis(long)`

- - ### Field Detail

    - #### NO_OP_LISTENER

          static final IndexWriterEventListener NO_OP_LISTENER

      A no-op listener that helps to save null checks

  - ### Method Detail

    - #### beginMergeOnFullFlush

          void beginMergeOnFullFlush​(MergePolicy.MergeSpecification merge)

      Invoked at the start of merge on commit
      Parameters:
        `merge` - specification to be tracked

    - #### endMergeOnFullFlush

          void endMergeOnFullFlush​(MergePolicy.MergeSpecification merge)

      Invoked at the end of merge on commit, due to either merge completed, or merge timed out according to `IndexWriterConfig.setMaxFullFlushMergeWaitMillis(long)`
      Parameters:
        `merge` - specification to be tracked